@charset "utf-8";

/*-- Reset ---------------------------------------------------*/

input[type="submit"],button{ -webkit-appearance: none; }

html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
abbr, address, cite, code,
del, dfn, em, img, ins, kbd, q, samp,
small, strong, sub, sup, var,b, i,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section, summary,
time, mark, audio, video {
	margin:0;
	padding:0;
	border:0;
	outline:0;
	font-size:100%;
	vertical-align:baseline;
	background:transparent;
}

body {line-height:1;}
article,aside,details,figcaption,figure,
footer,header,hgroup,menu,nav,section { display:block;}
ul,ol {list-style:none;}
blockquote, q {quotes:none;}

blockquote:before, blockquote:after,
q:before, q:after {
	content:'';
	content:none;
}

a {
	margin:0;
	padding:0;
	font-size:100%;
	vertical-align:baseline;
	background:transparent;
	text-decoration: none;
	color: inherit;
}

ins {
	background-color:#ff9;
	color:#000;
	text-decoration:none;
}

mark {
	background-color:#ff9;
	color:#000; 
	font-style:italic;
	font-weight:bold;
}

del {text-decoration: line-through;}

abbr[title], dfn[title] {
	border-bottom:1px dotted;
	cursor:help;
}

table {border-collapse:collapse; border-spacing:0;}
input, select {vertical-align:middle;}

/*-- initialize -------------------------------------------*/

html{
	scroll-behavior: smooth;
	scroll-padding-top: 20px;
}
body {
	font-size: 18px;
	font-family: "游ゴシック", "Yu Gothic", "游ゴシック体", YuGothic, sans-serif;
	font-weight: 500;
	line-height: 1.7;
	color: #222;
}
h1, h2, h3, h4, h5, h6 {font-weight: normal;}
select, input, button, textarea {font-size: 95%;}
strong {font-weight: bold;}
abbr, acronym {
	border: 0;
	font-variant: normal;
}

input[type="text"],
input[type="number"],
textarea{
	box-sizing: border-box;
	padding: 7px 10px 7px;
	border: solid 1px #aaa;
	border-radius: 5px;
}
textarea{
	resize: vertical;
}

/* -- Main ---------------------------------------------- */

:root{
	--backBlackColor: #333;
	--backWhiteColor1: #f1f1f1;
	--backWhiteColor2: #cecece;
	--orangeColor: #b75d21;
	--perpleColor: #534cad;
	--futaColor: #c95c1f;
	--battColor: #1b9623;
	--otokoColor: #1f60d0;
	--otherColor: #54555d;
	--dlsiteColor: #052a83;
	--fanzaColor: #bf2932;
}

body{
	background-color: var(--backBlackColor);
	padding-top: 15px;
}

.blog_main{
	display: flex;
	justify-content: space-between;
	max-width: 1600px;
	background-color: var(--backWhiteColor2);
	border-inline: solid 8px var(--backWhiteColor2);
	box-sizing: border-box;
	margin: 0 auto;
}
.blog_main_left{
	position: sticky;
	top: 0;
	left: 0;
	z-index: 10;
	width: 200px;
	height: 100vh;
	box-sizing: border-box;
	background-color: var(--backWhiteColor1);
	padding-top: 20px;
	overflow-y: auto;
}
.mainside_title{
	background-color: var(--backBlackColor);
	line-height: 1.5;
	font-family: yu mincho;
	font-weight: bold;
	padding: 7px 15px 7px;
	
	& a{
		color: #fff;
	}
}
.sp_move_top{
	display: none;
}
.mainside_author{
	font-size: 14px;
	padding: 14px 25px;
	background-color: #333;
	color: #fff;
	
	& a{
		display: inline-block;
		border: solid 2px #949494;
		border-radius: 7px;
		margin-right: 6px;
		margin-bottom: 7px;
		padding: 1px 9px 2px;
	}
}
.mainside_links{

}
.mainside_links_a{
	position: relative;
	z-index: 10;
	display: block;
	background-color: #ebecff;
	border-bottom: solid 1px #fafafa;
	font-size: 15px;
	line-height: 1;
	padding: 11px 5px 11px 40px;
	
	&::before{
		content: "";
		position: absolute;
		width: 6px;
		height: 6px;
		border-left: solid 6px var(--backBlackColor);
		border-block: solid 6px transparent;
		left: 22px;
		top: 0;
		bottom: 0;
		margin: auto 0;
		box-sizing: border-box;
		transition: left ease 0.1s;
	}
	
	&:hover{
		font-weight: bold;
		
		&::before{
			left: 26px;
		}
	}
}
.blog_main_right{
	width: calc(100% - 210px);
}

.menu_open{
	display: none;
}

@media (max-width: 960px){
	html{
		scroll-padding-top: 5vw;
	}
	body{
		font-size: 4.6vw;
		line-height: 1.9;
		padding-top: 0;
	}
	body.body_open{overflow: hidden;}
	.general_btn{
		font-size: 5vw;
		padding: 2.5vw 6vw 2.2vw;
	}
	.header_box{
		overflow: hidden;
	}
	.header_inner{
		padding: 3vw 0 3vw;
	}
	.header_inner a{
		font-size: 7vw;
		line-height: 1.4;
		width: 73%;
		margin-bottom: 2.5vw;
	}
	.header_inner p{
		font-size: 3.5vw;
		line-height: 1.5;
		width: 66%;
	}
	.header_image{
		left: 30vw;
		z-index: -1;
		opacity: 0.45;
	}
	.copylight{
		font-size: 3.8vw;
		padding: 6vw 0 6vw;
	}
	.menu_open{
		display: block;
		position: fixed;
		top: 2vw;
		right: 2vw;
		z-index: 400;
		width: 13vw;
		height: 13vw;
		background-color: var(--perpleColor);
		box-sizing: border-box;
		border: solid 0.5vw var(--backWhiteColor2);
		
		& span{
			background-color: #fff;
			width: 80%;
			height: 0.6vw;
			margin-left: auto;
			margin-right: auto;
			position: absolute;
			z-index: 10;
			top: 3vw;
			left: 0;
			right: 0;
			bottom: 3vw;
			transition: rotate ease 0.2s;
		}
		& .menu_open_bar2{
			margin: auto;
		}
		& .menu_open_bar3{
			margin-top: auto;
		}
	}
	.body_open .menu_open{
		& .menu_open_bar1{
			rotate: -45deg;
			margin: auto;
		}
		& .menu_open_bar2{
			display: none;
		}
		& .menu_open_bar3{
			rotate: 45deg;
			margin: auto;
		}
		
	}

	.inner_main{
		width: 100%;
		position: relative;
		z-index: 10;
		padding: 0;
	}
	.blog_main{
		display: block;
		border: none;
		overflow: hidden;
	}
	.section_merge{
		padding: 3vw 3vw 3vw;
		margin-bottom: 11vw;
	}
	.blog_main_left{
		position: inherit;
		width: 100%;
		height: auto;
		padding-top: 0;
		overflow-y: inherit;
	}
	.mainside_title{
		font-size: 4.2vw;
		padding: 2vw 4vw 1.6vw;
	}
	.sp_move_top{
		display: block;
	}
	.mobile_menu{
		position: fixed;
		z-index: 300;
		top: 0;
		left: 100%;
		width: 100%;
		height: 100%;
		background-color: rgba(0,0,0,0.6);
		border-top: solid 17.5vw var(--backBlackColor);
		box-sizing: border-box;
		overflow-y: auto;
		transition: left ease 0.2s;
		
		&.fix_open{
			left: 0;
		}
	}
	.mainside_links{
		width: 70%;
		margin-left: auto;
	}
	.mainside_links_a{
		font-size: 5vw;
		padding: 4.6vw 2vw 4vw 16vw;
		font-weight: bold;
		
		&::before{
			width: 2vw;
			height: 2vw;
			border-width: 2vw;
			left: 8vw !important;
		}
	}
	.mainside_author{
		width: 70%;
		margin-left: auto;
		box-sizing: border-box;
		font-size: 4.3vw;
		padding: 3vw 6vw 2vw;
		
		& a{
			padding: 0.6vw 4vw 0.4vw;
			margin-right: 2vw;
			margin-bottom: 2vw;
		}
	}
	.blog_main_right{
		width: 100%;
	}
}

